Skip to content

Retrieve a specific role on a binder and the users and groups assigned to it.

GET/api/{version}/objects/binders/{binder_id}/roles/{role_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
{role_name}The name of the role to retrieve. For example, owner__v.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/objects/binders/245/roles/reviewer__v
{ "responseStatus": "SUCCESS", "responseMessage": "Role retrieved", "errorCodes": null, "documentRoles": [ { "name": "reviewer__v", "label": "Reviewer", "assignedUsers": [ 25496, 26231 ], "assignedGroups": [ 1, 2 ], "availableUsers": [ 25496, 26231, 28874 ], "availableGroups": [ 1, 2, 3 ], "defaultUsers": [ 25496, 26231 ], "defaultGroups": [ 1, 2 ] } ], "errorType": null }

On SUCCESS, the response lists the following for the specific role retrieved: